// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    property alias itemText: itemText.text
    property alias iconSorce: iconImage.source
    property alias artistText: artist.text
    property alias genreText: genre.text
    property alias yearText: year.text

    property string albumId

    Image {
        id: iconImage
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.verticalCenter: parent.verticalCenter
        height: 100
        width: 100
        fillMode: Image.PreserveAspectFit
        smooth: true
        source: "noCover.png"
    }
    Text {
        id: itemText
        anchors.top: iconImage.top
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.family: "Helvetica [Cronyx]"
        font.pixelSize: 22
//        font.bold: true
        text: qsTr("Template text")
    }
    Text {
        id: artist
        anchors.bottom: genre.top
        anchors.bottomMargin: 10
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        text: qsTr("text")
    }
    Text {
        id: genre
        anchors.bottom: iconImage.bottom
        anchors.left: iconImage.right
        anchors.leftMargin: 5
//        anchors.right: parent.right
//        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        text: qsTr("text")
        opacity: 0.8
    }
    Text {
        id: year
        anchors.bottom: iconImage.bottom
        anchors.left: genre.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        text: qsTr("text")
        opacity: 0.8
    }
    Delimeter {
       width: parent.width * 0.95
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (albumId) {
                pageStack.push(Qt.resolvedUrl("AlbumInfo.qml"), {albumId: albumId, artistName: artist.text, artistGenre: genre.text, albumYear: year.text})
            }
        }
    }
}
