import QtQuick 1.1

Item {
    id: wrapper

    property alias itemText: itemText.text
    property alias iconSorce: iconImage.source
    property alias artistText: artist.text
    property alias genreText: genre.text
    property alias yearText: year.text

    property string albumId

    width: 220
    height: 320

    visible: PathView.onPath

    scale: PathView.itemScale
    z: PathView.itemZ

    property variant rotX: PathView.itemAngle
    transform: Rotation { axis { x: 1; y: 0; z: 0 } angle: wrapper.rotX; origin { x: 32; y: 32; } }

    Image {
        id: iconImage
        anchors.left: parent.left
//        anchors.leftMargin: 10
        anchors.verticalCenter: parent.verticalCenter
        height: 200
        width: 200
        fillMode: Image.PreserveAspectFit
        smooth: true
        source: "noCover.png"
    }
    Text {
        id: artist
        anchors.top: iconImage.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
//        anchors.leftMargin: 5
        anchors.right: parent.right
//        anchors.rightMargin: 5
        font.pixelSize: 22
        wrapMode: Text.WordWrap
        text: qsTr("text")
    }
    Text {
        id: itemText
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.family: "Helvetica [Cronyx]"
        font.pixelSize: 28
//        font.bold: true
        text: qsTr("Template text")
    }
    Text {
        id: genre
        anchors.top: iconImage.top
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        text: qsTr("text")
        opacity: 0.8
    }
    Text {
        id: year
        anchors.top: genre.bottom
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        text: qsTr("text")
        opacity: 0.8
    }

//    Rectangle {
//        anchors.fill: parent
//        color: "lightGray"
//        border.color: "black"
//        border.width: 3
//    }

//    Text {
//        anchors.centerIn: parent
//        text: index
//        font.pixelSize: 30
//    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (albumId) {
//                var trackInfo = {trackTitle: player.trackTitle, currentTrack: player.currentTrack, source: player.source}
                pageStack.push(Qt.resolvedUrl("AlbumInfo.qml"), {albumId: albumId})
            }
        }
    }
}
