import QtQuick 1.1

Item {
    property alias itemText: itemText.text
    property alias iconSorce: iconImage.source
    property alias genreText: genresText.text
    property alias tracksText: tracksText.text

    property string artistId

    Image {
        id: iconImage
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.verticalCenter: parent.verticalCenter
        height: 100
        width: 100
        fillMode: Image.PreserveAspectFit
        smooth: true
        source: "noCover.png"
    }
    Text {
        id: itemText
        anchors.top: iconImage.top
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.family: "Times"
        font.pixelSize: 22
        text: qsTr("Template text")
    }
    Text {
        id: genresText
        anchors.bottom: tracksText.top
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.family: "Times"
        font.pixelSize: 16
        text: qsTr("Template text")
    }
    Text {
        id: tracksText
        anchors.bottom: iconImage.bottom
        anchors.left: iconImage.right
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignHCenter
        font.family: "Times"
        font.pixelSize: 16
        text: qsTr("Template text")
    }
    Delimeter {
       width: parent.width * 0.95
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (artistId) {
                pageStack.push(Qt.resolvedUrl("ArtistInfo.qml"), {artistId: artistId})
            }
        }
    }
}
